import { LitElement } from 'lit';
declare type Constructor<T = {}> = new (...args: any[]) => T;
export declare class SelectableMixinInterface {
    selectable: boolean;
    selected: boolean;
}
/**
 * This mixin provides selectable functionality to other components. The mixed component will have selectable and selected reactive properties and corresponding attributes. you can use them to style the selectable state.
 *
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const SelectableMixin: <T extends Constructor<LitElement>>(superClass: T) => Constructor<SelectableMixinInterface> & T;
export {};
