/**
 * Defensive definition of a custom element. It only defines the element if it has a valid name and isn't already defined.
 * @func defineElement
 * @param {string} name - Name for the new custom element. Note that custom element names must contain a hyphen.
 * @param {string} constructor - Constructor for the new custom element.
 * @param {string} [options] - Object that controls how the element is defined.
 */
export declare const defineElement: (name: string, constructor: CustomElementConstructor, options?: ElementDefinitionOptions | undefined) => void;
