const defineElement = (name, constructor, options) => {
  const isValidElementName = name.indexOf("-") > 0;
  if (isValidElementName === false) {
    console.error(`${name} is not a valid custom element name. A custom element name should consist of at least two words separated by a hyphen.`);
    return;
  }
  if (customElements.get(name)) {
    console.error(`${name} is already defined`);
  } else {
    customElements.define(name, constructor, options);
  }
};

export { defineElement };
